<?PHP
// student_retrieval_tbl.php
// 학생 테이블(student) 검색 - HTML 출력

// MySQL 서버와 데이터베이스 연결(connect server & database)
$conn = mysqli_connect("localhost", "root", "adminpw", "univ");

if (mysqli_connect_errno()) {
   printf("MySQL 서버와 데이터베이스 연결 실패!!<Br>%s", mysqli_connect_error());
   exit();
}

// SQL 질의어 처리(perform SQL query(DML))
// 학생테이블(student) 검색
$sql = "SELECT *
        FROM   student
        ORDER  BY hakbun ASC";
$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {

// 학생정보 검색 출력
?>

<!DOCTYPE html>
<html>
<head>
 <title>데이터베이스 검색</title>
 <meta charset="utf-8">
 <link rel="stylesheet" href="../common/css/table_100.css">
</head>

<body>

<form name="student_form">
 <table>
  <caption>학생 테이블 검색</caption>
  <tr>
   <th>학 번</th>
   <th>이 름</th>
   <th>학 년</th>
   <th>학 과</th>
   <th>주 소</th>
  </tr>
  <tr>

<?PHP
  while($tuple = mysqli_fetch_array($result)) { // 인덱스배열, 연관배열
?>

  <tr>
   <td><?PHP echo $tuple["hakbun"]; ?></td>
   <td><?=$tuple["name"]; ?></td>
   <td><?=$tuple["year"]; ?></td>
   <td><?=$tuple["dept"]; ?></td>
   <td><?=$tuple["addr"]; ?></td>
  </tr>

<?PHP
  }

echo "
  </table>
 </form>";

  printf("학생테이블에 %d개 튜플 검색 성공!", mysqli_affected_rows($conn));

  // 메모리 해제(free result set)
  mysqli_free_result($result);

} else {
  printf("학생테이블이 비어 있습니다!!");
}

// 데이터베이스 연결 종료(close connection)
mysqli_close($conn);
?>

</body>
</html>