<!DOCTYPE html>
<html>
<head>
 <title>회원정보 삭제(customer_delete_retrieval.php)</title>
 <meta charset="UTF-8">
 <link type="text/css" rel="stylesheet" href="../../common/CSS/common.css">
 <script src="../../common/js/customer_delete_confirm.js"></script>
</head>

<?php
// customer_delete_retrieval.php
// 고객테이블(customer) 회원정보 검색(삭제)

// POST 또는 GET 전송 데이터(아이디, 비밀번호) 확인
include "../../common/include/inc_idpw_REQUEST_check.php";

// MySQL 서버와 데이터베이스 연결(connect server & database)
include "../../common/include/connect_login_db_check.php";

// 전송 데이터 변수 할당(POST 또는 GET 전송)
$cust_id = $_REQUEST["cust_id"];
$cust_pw = trim($_REQUEST["cust_pw"]);

// SQL 질의어 처리(perform SQL query(DML))
// 고객 테이블(customer) 튜플 검색
$sql = "SELECT *
        FROM   customer
        WHERE  (cust_id = '$cust_id') and (cust_pw = '$cust_pw')";
$result = mysqli_query($conn, $sql);

if (!(mysqli_num_rows($result) > 0 )) {

   echo "<script>alert('존재하지 않는 아이디와 비밀번호입니다.!');
                 history.go(-1);
         </script>";

} else {

   $tuple = mysqli_fetch_array($result);   // 인덱스배열, 연관배열

   // 메모리 해제(free result set)
   mysqli_free_result($result);

   // 데이터베이스 연결 종료(closing connection)
   mysqli_close($conn);

// 회원정보 검색 출력
}
?>

<body>
 <form name="customer_form" method="post" action="customer_delete_db.php">
 <table>
  <caption>회원정보 검색(삭제)</caption> 
  <tr style="border-style:hidden hidden solid hidden;">
   <td colspan="2" style="background-color:white; text-align:right;"></td>
  </tr>

  <?PHP
   // DB 검색 데이터 출력(read only)
   include "../../common/include/inc_echo_data_ret_del.php";
  ?>

  <tr>
   <td colspan="2" style="text-align:center;">
       <input type="button" value="삭제하시겠습니까?" onClick="confirm_onClick();">
       <input type="button" value="삭제 취소"
	          onClick="location.href = './customer_maintenance.php';"></td>
  </tr>
 </table>
</form>

</body>
</html>