<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
 <title>변수, 상수의 적용범위</title>
 <style>
  table {border-collapse:collapse;}
  th, td {text-align:center; border:2px solid black;}
 </style>
</head>
<body>
 <b>변수, 상수의 적용범위</b></p>

<?php
// scope_var_const.php
// 변수, 상수의 적용범위 규칙
// 매개변수 전달 방법, global, $GLOBALS

// 함수 정의(global 사용)
function global_fcn() {

   global $pay;

   $pay = $pay + BONUS;            // 전역변수
   return $pay;
}

// 함수 정의($GLOBALS 사용)
function GLOBALS_fcn() {

   $pay = $GLOBALS["pay"] + BONUS; // 지역변수
   return $pay;
}

// 변수와 상수 정의
$pay = 2500;
define("BONUS", 5000);
echo "pay =  $pay</p>";

// 함수 호출
// $g_sum = global_fcn();
$G_sum = GLOBALS_fcn();
$g_sum = global_fcn();

// 결과 출력
echo "g_sum = $g_sum<Br>";
echo "G_sum = $G_sum</p>";
?>

 <table>
  <tr>
   <th>pay</th>
   <th>BONUS</th>
   <th>합계(함수_g)</th>
   <th>합계(함수_G)</th>
  </tr>
  <tr>
   <td><?=$pay; ?></td>
   <td><?=BONUS; ?></td>
   <td><?=$g_sum; ?></td>
   <td><?=$G_sum; ?></td>
  </tr>
 </table>

</body>
</html>